package ru.volgait.ftp.client_server.command;


public enum CommandName {
    LOAD_FILE("load"),
    OPEN_DIR("cd"),
    GO_UPPER_LEVEL("up"),
    GET_FILE_CONTENT("cat"),
    GET_DIR_FILE_LIST("ls"),
    DELETE_FILE("rm"),
    CLOSE_CONNECTION("exit");

    private String command;

    CommandName(String command) {
        this.command = command;
    }

    public static boolean contains(String commandStr) {
        final CommandName[] commandNames = CommandName.values();
        for (CommandName commandName : commandNames) {
            if (commandName.toString().equalsIgnoreCase(commandStr)) {
                return true;
            }
        }
        return false;
    }


}
